由pip源导致的库安装失败

Take a video and replace the face in it with a face of your choice. You only need one image of the desired face. No dataset, no training.

https://github.com/s0md3v/roop

但是在安装各种依赖的时候报错了,使用的pip源是https://pypi.mirrors.ustc.edu.cn/simple/

(venv) F:\Pycharm_Projects\roop>pip install -r requirements.txt -i https://pypi.mirrors.ustc.edu.cn/simple/
Looking in indexes: https://pypi.mirrors.ustc.edu.cn/simple/
Collecting numpy==1.24.3
Downloading https://mirrors.bfsu.edu.cn/pypi/web/packages/1a/62/af7e78a12207608b23e3b2e248fc823fbef75f17d5defc8a127c5661daca/numpy-1.24.3-cp38-cp38-win_amd64.whl (14.9 MB)
|████████████████████████████████| 14.9 MB 3.3 MB/s
Collecting opencv-python==4.7.0.72
Downloading https://mirrors.bfsu.edu.cn/pypi/web/packages/36/98/fab8d982e2e2b57bdebcad64c7e5b5a14ac91c657cac509b9cf3fbea49d2/opencv_python-4.7.0.72-cp37-abi3-win_amd64.whl (38.2 MB)
|████████████████████████████████| 38.2 MB 2.2 MB/s
Collecting onnx==1.14.0
Downloading https://mirrors.bfsu.edu.cn/pypi/web/packages/e3/f2/c78651626f63fe019a44baf2519eb4db257ccdd6c71db00b8143919e7e08/onnx-1.14.0-cp38-cp38-win_amd64.whl (13.3 MB)
|████████████████████████████████| 13.3 MB ...
Collecting insightface==0.7.3
Downloading https://mirrors.bfsu.edu.cn/pypi/web/packages/0b/8d/0f4af90999ca96cf8cb846eb5ae27c5ef5b390f9c090dd19e4fa76364c13/insightface-0.7.3.tar.gz (439 kB)
|████████████████████████████████| 439 kB 6.4 MB/s
Installing build dependencies ... done
Getting requirements to build wheel ... done
Installing backend dependencies ... done
Preparing wheel metadata ... done
Collecting psutil==5.9.5
Downloading https://mirrors.bfsu.edu.cn/pypi/web/packages/86/f3/23e4e4e7ec7855d506ed928756b04735c246b14d9f778ed7ffaae18d8043/psutil-5.9.5-cp36-abi3-win_amd64.whl (255 kB)
|████████████████████████████████| 255 kB ...
Collecting tk==0.1.0
Downloading https://mirrors.bfsu.edu.cn/pypi/web/packages/1e/0b/029cbdb868bb555fed99bf6540fff072d500b3f895873709f25084e85e33/tk-0.1.0-py3-none-any.whl (3.9 kB)
Collecting pillow==9.5.0
Downloading https://mirrors.bfsu.edu.cn/pypi/web/packages/c3/ba/c4c2a1411561cd9725979115e7450f1367b44997ae1ff29e5845bce92d52/Pillow-9.5.0-cp38-cp38-win_amd64.whl (2.5 MB)
|████████████████████████████████| 2.5 MB 6.4 MB/s
Requirement already satisfied: torch==2.0.1 in f:\pycharm_projects\roop\venv\lib\site-packages (from -r requirements.txt (line 8)) (2.0.1+cu118)
ERROR: Could not find a version that satisfies the requirement onnxruntime-gpu==1.15.0 (from -r requirements.txt (line 9)) (from versions: 1.7.0, 1.8.0, 1.8.1, 1.9.0, 1.10.0, 1.11.0, 1.11.1, 1.12.0, 1.12.1, 1.13.1, 1.14.0, 1.14.1)
ERROR: No matching distribution found for onnxruntime-gpu==1.15.0 (from -r requirements.txt (line 9))
WARNING: You are using pip version 20.2.1; however, version 23.1.2 is available.
You should consider upgrading via the 'f:\pycharm_projects\roop\venv\scripts\python.exe -m pip install --upgrade pip' command.

提示ERROR: Could not find a version that satisfies the requirement onnxruntime-gpu==1.15.0 (from -r requirements.txt (line 9)) (from versions: 1.7.0, 1.8.0, 1.8.1, 1.9.0, 1.10.0, 1.11.0, 1.11.1, 1.12.0, 1.12.1, 1.13.1, 1.14.0, 1.14.1)

鉴于当前各种ai库的繁华度个人觉得应该不会出现这种错误,于是从官方源再次安装,一切就都ok了。

(venv) F:\Pycharm_Projects\roop>pip install -r requirements.txt
Collecting numpy==1.24.3
Using cached numpy-1.24.3-cp38-cp38-win_amd64.whl (14.9 MB)
Collecting opencv-python==4.7.0.72
Using cached opencv_python-4.7.0.72-cp37-abi3-win_amd64.whl (38.2 MB)
Collecting onnx==1.14.0
Downloading onnx-1.14.0-cp38-cp38-win_amd64.whl (13.3 MB)
|████████████████████████████████| 13.3 MB 6.8 MB/s
Collecting insightface==0.7.3
Downloading insightface-0.7.3.tar.gz (439 kB)
|████████████████████████████████| 439 kB 6.8 MB/s
Installing build dependencies ... done
Getting requirements to build wheel ... done
Installing backend dependencies ... done
Preparing wheel metadata ... done
Collecting psutil==5.9.5
Downloading psutil-5.9.5-cp36-abi3-win_amd64.whl (255 kB)
|████████████████████████████████| 255 kB ...
Collecting tk==0.1.0
Downloading tk-0.1.0-py3-none-any.whl (3.9 kB)
Collecting pillow==9.5.0
Using cached Pillow-9.5.0-cp38-cp38-win_amd64.whl (2.5 MB)
Requirement already satisfied: torch==2.0.1 in f:\pycharm_projects\roop\venv\lib\site-packages (from -r requirements.txt (line 8)) (2.0.1+cu118)
Collecting onnxruntime-gpu==1.15.0
Downloading onnxruntime_gpu-1.15.0-cp38-cp38-win_amd64.whl (122.5 MB)
|████████████████████████████████| 122.5 MB 107 kB/s
Collecting opennsfw2==0.10.2
Downloading opennsfw2-0.10.2-py3-none-any.whl (12 kB)
Collecting protobuf==3.20.2
Downloading protobuf-3.20.2-cp38-cp38-win_amd64.whl (904 kB)
|████████████████████████████████| 904 kB 504 kB/s
Requirement already satisfied: typing-extensions>=3.6.2.1 in f:\pycharm_projects\roop\venv\lib\site-packages (from onnx==1.14.0->-r requirements.txt (line 3)) (4.4.0)
Collecting tqdm
Using cached tqdm-4.65.0-py3-none-any.whl (77 kB)
Requirement already satisfied: requests in f:\pycharm_projects\roop\venv\lib\site-packages (from insightface==0.7.3->-r requirements.txt (line 4)) (2.28.1)
Collecting scikit-image
Downloading scikit_image-0.20.0-cp38-cp38-win_amd64.whl (23.6 MB)
|████████████████████████████████| 23.6 MB 595 kB/s
Collecting prettytable
Downloading prettytable-3.7.0-py3-none-any.whl (27 kB)
Collecting scipy
Using cached scipy-1.10.1-cp38-cp38-win_amd64.whl (42.2 MB)
Collecting matplotlib
Using cached matplotlib-3.7.1-cp38-cp38-win_amd64.whl (7.6 MB)
Collecting scikit-learn
Using cached scikit_learn-1.2.2-cp38-cp38-win_amd64.whl (8.3 MB)
Collecting albumentations
Downloading albumentations-1.3.0-py3-none-any.whl (123 kB)
|████████████████████████████████| 123 kB 547 kB/s
Collecting easydict
Downloading easydict-1.10.tar.gz (6.4 kB)
Collecting cython
Using cached Cython-0.29.35-py2.py3-none-any.whl (988 kB)
Requirement already satisfied: networkx in f:\pycharm_projects\roop\venv\lib\site-packages (from torch==2.0.1->-r requirements.txt (line 8)) (3.0)
Requirement already satisfied: filelock in f:\pycharm_projects\roop\venv\lib\site-packages (from torch==2.0.1->-r requirements.txt (line 8)) (3.9.0)
Requirement already satisfied: jinja2 in f:\pycharm_projects\roop\venv\lib\site-packages (from torch==2.0.1->-r requirements.txt (line 8)) (3.1.2)
Requirement already satisfied: sympy in f:\pycharm_projects\roop\venv\lib\site-packages (from torch==2.0.1->-r requirements.txt (line 8)) (1.11.1)
Requirement already satisfied: flatbuffers in f:\pycharm_projects\roop\venv\lib\site-packages (from onnxruntime-gpu==1.15.0->-r requirements.txt (line 9)) (23.5.9)
Requirement already satisfied: packaging in f:\pycharm_projects\roop\venv\lib\site-packages (from onnxruntime-gpu==1.15.0->-r requirements.txt (line 9)) (23.1)
Requirement already satisfied: coloredlogs in f:\pycharm_projects\roop\venv\lib\site-packages (from onnxruntime-gpu==1.15.0->-r requirements.txt (line 9)) (15.0.1)
Collecting gdown>=4.2.0
Using cached gdown-4.7.1-py3-none-any.whl (15 kB)
Collecting tensorflow>=2.0.0
Downloading tensorflow-2.12.0-cp38-cp38-win_amd64.whl (1.9 kB)
Collecting colorama; platform_system == "Windows"
Using cached colorama-0.4.6-py2.py3-none-any.whl (25 kB)
Requirement already satisfied: urllib3<1.27,>=1.21.1 in f:\pycharm_projects\roop\venv\lib\site-packages (from requests->insightface==0.7.3->-r requirements.txt (line 4)) (1.26.13)
Requirement already satisfied: certifi>=2017.4.17 in f:\pycharm_projects\roop\venv\lib\site-packages (from requests->insightface==0.7.3->-r requirements.txt (line 4)) (2022.12.7)
Requirement already satisfied: charset-normalizer<3,>=2 in f:\pycharm_projects\roop\venv\lib\site-packages (from requests->insightface==0.7.3->-r requirements.txt (line 4)) (2.1.1)
Requirement already satisfied: idna<4,>=2.5 in f:\pycharm_projects\roop\venv\lib\site-packages (from requests->insightface==0.7.3->-r requirements.txt (line 4)) (3.4)
Collecting imageio>=2.4.1
Downloading imageio-2.30.0-py3-none-any.whl (312 kB)
|████████████████████████████████| 312 kB 656 kB/s
Collecting tifffile>=2019.7.26
Downloading tifffile-2023.4.12-py3-none-any.whl (219 kB)
|████████████████████████████████| 219 kB 819 kB/s
Collecting PyWavelets>=1.1.1
Using cached PyWavelets-1.4.1-cp38-cp38-win_amd64.whl (4.2 MB)
Collecting lazy_loader>=0.1
Using cached lazy_loader-0.2-py3-none-any.whl (8.6 kB)
Collecting wcwidth
Using cached wcwidth-0.2.6-py2.py3-none-any.whl (29 kB)
Collecting kiwisolver>=1.0.1
Using cached kiwisolver-1.4.4-cp38-cp38-win_amd64.whl (55 kB)
Collecting fonttools>=4.22.0
Downloading fonttools-4.39.4-py3-none-any.whl (1.0 MB)
|████████████████████████████████| 1.0 MB 819 kB/s
Collecting cycler>=0.10
Using cached cycler-0.11.0-py3-none-any.whl (6.4 kB)
Collecting python-dateutil>=2.7
Using cached python_dateutil-2.8.2-py2.py3-none-any.whl (247 kB)
Collecting pyparsing>=2.3.1
Using cached pyparsing-3.0.9-py3-none-any.whl (98 kB)
Collecting importlib-resources>=3.2.0; python_version < "3.10"
Using cached importlib_resources-5.12.0-py3-none-any.whl (36 kB)
Collecting contourpy>=1.0.1
Using cached contourpy-1.0.7-cp38-cp38-win_amd64.whl (162 kB)
Collecting joblib>=1.1.1
Using cached joblib-1.2.0-py3-none-any.whl (297 kB)
Collecting threadpoolctl>=2.0.0
Using cached threadpoolctl-3.1.0-py3-none-any.whl (14 kB)
Collecting qudida>=0.0.4
Downloading qudida-0.0.4-py3-none-any.whl (3.5 kB)
Collecting opencv-python-headless>=4.1.1
Downloading opencv_python_headless-4.7.0.72-cp37-abi3-win_amd64.whl (38.1 MB)
|████████████████████████████████| 38.1 MB 298 kB/s
Collecting PyYAML
Downloading PyYAML-6.0-cp38-cp38-win_amd64.whl (155 kB)
|████████████████████████████████| 155 kB 437 kB/s
Requirement already satisfied: MarkupSafe>=2.0 in f:\pycharm_projects\roop\venv\lib\site-packages (from jinja2->torch==2.0.1->-r requirements.txt (line 8)) (2.1.2)
Requirement already satisfied: mpmath>=0.19 in f:\pycharm_projects\roop\venv\lib\site-packages (from sympy->torch==2.0.1->-r requirements.txt (line 8)) (1.2.1)
Requirement already satisfied: humanfriendly>=9.1 in f:\pycharm_projects\roop\venv\lib\site-packages (from coloredlogs->onnxruntime-gpu==1.15.0->-r requirements.txt (line 9)) (10.0)
Collecting beautifulsoup4
Downloading beautifulsoup4-4.12.2-py3-none-any.whl (142 kB)
|████████████████████████████████| 142 kB 344 kB/s
Collecting six
Using cached six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting tensorflow-intel==2.12.0; platform_system == "Windows"
Downloading tensorflow_intel-2.12.0-cp38-cp38-win_amd64.whl (272.8 MB)
|████████████████████████████████| 272.8 MB 149 kB/s
Collecting zipp>=3.1.0; python_version < "3.10"
Using cached zipp-3.15.0-py3-none-any.whl (6.8 kB)
Requirement already satisfied: pyreadline3; sys_platform == "win32" and python_version >= "3.8" in f:\pycharm_projects\roop\venv\lib\site-packages (from humanfriendly>=9.1->coloredlogs->onnxruntime-gpu==1.15.0->-r requirements.txt (line 9)) (3.4.1)
Collecting soupsieve>1.2
Downloading soupsieve-2.4.1-py3-none-any.whl (36 kB)
Collecting libclang>=13.0.0
Downloading libclang-16.0.0-py2.py3-none-win_amd64.whl (24.4 MB)
|████████████████████████████████| 24.4 MB 930 kB/s
Collecting keras<2.13,>=2.12.0
Downloading keras-2.12.0-py2.py3-none-any.whl (1.7 MB)
|████████████████████████████████| 1.7 MB 930 kB/s
Collecting tensorboard<2.13,>=2.12
Downloading tensorboard-2.12.3-py3-none-any.whl (5.6 MB)
|████████████████████████████████| 5.6 MB 1.1 MB/s
Collecting tensorflow-io-gcs-filesystem>=0.23.1; platform_machine != "arm64" or platform_system != "Darwin"
Downloading tensorflow_io_gcs_filesystem-0.31.0-cp38-cp38-win_amd64.whl (1.5 MB)
|████████████████████████████████| 1.5 MB 930 kB/s
Collecting jax>=0.3.15
Downloading jax-0.4.10.tar.gz (1.3 MB)
|████████████████████████████████| 1.3 MB 656 kB/s
Installing build dependencies ... done
Getting requirements to build wheel ... done
Preparing wheel metadata ... done
Collecting tensorflow-estimator<2.13,>=2.12.0
Downloading tensorflow_estimator-2.12.0-py2.py3-none-any.whl (440 kB)
|████████████████████████████████| 440 kB 939 kB/s
Collecting gast<=0.4.0,>=0.2.1
Using cached gast-0.4.0-py3-none-any.whl (9.8 kB)
Collecting absl-py>=1.0.0
Using cached absl_py-1.4.0-py3-none-any.whl (126 kB)
Collecting opt-einsum>=2.3.2
Using cached opt_einsum-3.3.0-py3-none-any.whl (65 kB)
Collecting astunparse>=1.6.0
Using cached astunparse-1.6.3-py2.py3-none-any.whl (12 kB)
Collecting termcolor>=1.1.0
Using cached termcolor-2.3.0-py3-none-any.whl (6.9 kB)
Collecting grpcio<2.0,>=1.24.3
Downloading grpcio-1.54.2-cp38-cp38-win_amd64.whl (4.1 MB)
|████████████████████████████████| 4.1 MB 819 kB/s
Requirement already satisfied: setuptools in f:\pycharm_projects\roop\venv\lib\site-packages (from tensorflow-intel==2.12.0; platform_system == "Windows"->tensorflow>=2.0.0->opennsfw2==0.10.2->-r requirements.txt (line 10)) (49.2.1)
Collecting wrapt<1.15,>=1.11.0
Downloading wrapt-1.14.1-cp38-cp38-win_amd64.whl (35 kB)
Collecting google-pasta>=0.1.1
Using cached google_pasta-0.2.0-py3-none-any.whl (57 kB)
Collecting h5py>=2.9.0
Using cached h5py-3.8.0-cp38-cp38-win_amd64.whl (2.7 MB)
Collecting google-auth<3,>=1.6.3
Downloading google_auth-2.19.0-py2.py3-none-any.whl (181 kB)
|████████████████████████████████| 181 kB 731 kB/s
Collecting werkzeug>=1.0.1
Downloading Werkzeug-2.3.4-py3-none-any.whl (242 kB)
|████████████████████████████████| 242 kB 504 kB/s
Collecting markdown>=2.6.8
Using cached Markdown-3.4.3-py3-none-any.whl (93 kB)
Collecting google-auth-oauthlib<1.1,>=0.5
Using cached google_auth_oauthlib-1.0.0-py2.py3-none-any.whl (18 kB)
Collecting wheel>=0.26
Using cached wheel-0.40.0-py3-none-any.whl (64 kB)
Collecting tensorboard-data-server<0.8.0,>=0.7.0
Using cached tensorboard_data_server-0.7.0-py3-none-any.whl (2.4 kB)
Collecting ml-dtypes>=0.1.0
Downloading ml_dtypes-0.1.0-cp38-cp38-win_amd64.whl (120 kB)
|████████████████████████████████| 120 kB 656 kB/s
Collecting rsa<5,>=3.1.4
Using cached rsa-4.9-py3-none-any.whl (34 kB)
Collecting cachetools<6.0,>=2.0.0
Downloading cachetools-5.3.1-py3-none-any.whl (9.3 kB)
Collecting pyasn1-modules>=0.2.1
Downloading pyasn1_modules-0.3.0-py2.py3-none-any.whl (181 kB)
|████████████████████████████████| 181 kB 819 kB/s
Collecting importlib-metadata>=4.4; python_version < "3.10"
Using cached importlib_metadata-6.6.0-py3-none-any.whl (22 kB)
Collecting requests-oauthlib>=0.7.0
Using cached requests_oauthlib-1.3.1-py2.py3-none-any.whl (23 kB)
Collecting pyasn1>=0.1.3
Downloading pyasn1-0.5.0-py2.py3-none-any.whl (83 kB)
|████████████████████████████████| 83 kB 980 kB/s
Collecting oauthlib>=3.0.0
Using cached oauthlib-3.2.2-py3-none-any.whl (151 kB)
Using legacy 'setup.py install' for easydict, since package 'wheel' is not installed.
Building wheels for collected packages: insightface, jax
Building wheel for insightface (PEP 517) ... done
Created wheel for insightface: filename=insightface-0.7.3-cp38-cp38-win_amd64.whl size=840627 sha256=a5d81bfa343146bc0d1fca7e6d17e9468515254655f8445131b4b7fa3742aad8
Stored in directory: c:\users\obaby\appdata\local\pip\cache\wheels\2c\10\16\704fc9c89a96651348938dfda339b3fa2ac5295f0012cb0c14
Building wheel for jax (PEP 517) ... done
Created wheel for jax: filename=jax-0.4.10-py3-none-any.whl size=1480617 sha256=eaee4d65ab654d040f3d5fb81fad53102a17eae1c83803b03f1ac0f96c2a5da8
Stored in directory: c:\users\obaby\appdata\local\pip\cache\wheels\6a\8c\35\209bfba5979c08e883a5cfcb9f3ddf907f9dd1c37ee83c1f8d
Successfully built insightface jax
Installing collected packages: numpy, opencv-python, protobuf, onnx, colorama, tqdm, pillow, imageio, tifffile, PyWavelets, scipy, lazy-loader, scikit-image, wcwidth, prettytable, kiwisolver, fonttools, cycler, six, python-dateutil, pyparsing, zipp, importlib-resources, contourpy, matplotlib, joblib, threadpoolctl, scikit-learn, opencv-python-headless, qudida, PyYAML, albumentations, easydict, cython, insightface, psutil, tk, onnxruntime-gpu, soupsieve, beautifulsoup4, gdown, libclang, keras, grpcio, pyasn1, rsa, cachetools, pyasn1-modules, google-auth, werkzeug, importlib-metadata, markdown, oauthlib, requests-oauthlib, google-auth-oauthlib, wheel, absl-py, tensorboard-data-server, tensorboard, tensorflow-io-gcs-filesystem, opt-einsum, ml-dtypes, jax, tensorflow-estimator, gast, astunparse, termcolor, wrapt, google-pasta, h5py, tensorflow-intel, tensorflow, opennsfw2
Attempting uninstall: numpy
Found existing installation: numpy 1.24.1
Uninstalling numpy-1.24.1:
Successfully uninstalled numpy-1.24.1
Attempting uninstall: protobuf
Found existing installation: protobuf 4.23.0
Uninstalling protobuf-4.23.0:
Successfully uninstalled protobuf-4.23.0
Attempting uninstall: pillow
Found existing installation: Pillow 9.3.0
Uninstalling Pillow-9.3.0:
Successfully uninstalled Pillow-9.3.0
Running setup.py install for easydict ... done
Attempting uninstall: onnxruntime-gpu
Found existing installation: onnxruntime-gpu 1.14.1
Uninstalling onnxruntime-gpu-1.14.1:
Successfully uninstalled onnxruntime-gpu-1.14.1
ERROR: After October 2020 you may experience errors when installing or updating packages. This is because pip will change the way that it resolves dependency conflicts.

We recommend you use --use-feature=2020-resolver to test your packages with the new resolver before it becomes the default.

scikit-image 0.20.0 requires scipy<1.9.2,>=1.8; python_version <= "3.9", but you'll have scipy 1.10.1 which is incompatible.
tensorflow-intel 2.12.0 requires numpy<1.24,>=1.22, but you'll have numpy 1.24.3 which is incompatible.
tensorflow-intel 2.12.0 requires protobuf!=4.21.0,!=4.21.1,!=4.21.2,!=4.21.3,!=4.21.4,!=4.21.5,<5.0.0dev,>=3.20.3, but you'll have protobuf 3.20.2 which is incompatible.
Successfully installed PyWavelets-1.4.1 PyYAML-6.0 absl-py-1.4.0 albumentations-1.3.0 astunparse-1.6.3 beautifulsoup4-4.12.2 cachetools-5.3.1 colorama-0.4.6 contourpy-1.0.7 cycler-0.11.0 cython-0.29.35 easydict-1.10 fonttools-4.39.4 gast-0.4.0 gdown-4.7.1 google-auth-2.19.0 google-auth-oauthlib-1.0.0 google-pasta-0.2.0 grpcio-1.54.2 h5py-3.8.0 imageio-2.30.0 importlib-metadata-6.6.0 importlib-resources-5.12.0 insightface-0.7.3 jax-0.4.10 joblib-1.2.0 keras-2.12.0 kiwisolver-1.4.4 lazy-loader-0.2 libclang-16.0.0 markdown-3.4.3 matplotlib-3.7.1 ml-dtypes-0.1.0 numpy-1.24.3 oauthlib-3.2.2 onnx-1.14.0 onnxruntime-gpu-1.15.0 opencv-python-4.7.0.72 opencv-python-headless-4.7.0.72 opennsfw2-0.10.2 opt-einsum-3.3.0 pillow-9.5.0 prettytable-3.7.0 protobuf-3.20.2 psutil-5.9.5 pyasn1-0.5.0 pyasn1-modules-0.3.0 pyparsing-3.0.9 python-dateutil-2.8.2 qudida-0.0.4 requests-oauthlib-1.3.1 rsa-4.9 scikit-image-0.20.0 scikit-learn-1.2.2 scipy-1.10.1 six-1.16.0 soupsieve-2.4.1 tensorboard-2.12.3 tensorboard-data-server-0.7.0 tensorflow-2.12.0 tensorflow-estimator-2.12.0 tensorflow-intel-2.12.0 tensorflow-io-gcs-filesystem-0.31.0 termcolor-2.3.0 threadpoolctl-3.1.0 tifffile-2023.4.12 tk-0.1.0 tqdm-4.65.0 wcwidth-0.2.6 werkzeug-2.3.4 wheel-0.40.0 wrapt-1.14.1 zipp-3.15.0
WARNING: You are using pip version 20.2.1; however, version 23.1.2 is available.
You should consider upgrading via the 'f:\pycharm_projects\roop\venv\scripts\python.exe -m pip install --upgrade pip' command.

如果出现安装失败,提示找不到各种版本的情况,可以尝试换个pip源试试,当然,最直接的还是使用官方的源。

 

☆版权☆

* 网站名称:obaby@mars
* 网址:https://lang.ma/
* 个性:https://oba.by/
* 本文标题: 《由pip源导致的库安装失败》
* 本文链接:https://nai.dog/2023/06/12234
* 短链接:https://oba.by/?p=12234
* 转载文章请标明文章来源,原文标题以及原文链接。请遵从 《署名-非商业性使用-相同方式共享 2.5 中国大陆 (CC BY-NC-SA 2.5 CN) 》许可协议。


You may also like

12 comments

  1.  Level 6
    Google Chrome 113 Google Chrome 113 Mac OS X 10.15 Mac OS X 10.15 cn浙江省杭州市 电信/数据中心

    为什么 AI 都是 python 的

    1. 公主 Queen 
      Google Chrome 112 Google Chrome 112 Windows 10 Windows 10 cn山东省临沂市 联通

      个人感觉几个原因吧
      1.强大的数据处理能力,基于numpy、pandas可以快速方便的处理海量数据。
      2.强大的第三方lib支持,可以快速进行集成。
      3.执行效率并不低,虽然上层代码是python,但是多数的底层运算都是基于c或者c++实现的动态库。所以在向量计算速度上并不慢
      4.强大的扩展能力,在现有的模型上可以快速进行模型构建参数调整等等
      5.还有其他的原因,一时也想不到啦。

  2.  Level 5
    Google Chrome 95 Google Chrome 95 Windows 10 Windows 10 cn北京市 联通

    大概现在的孙燕姿AI都是这么出来的,换脸加换声音,然后出出视频,我甚至在推特看到过范冰冰老师的不可直视小视频,应该都是这些软件制作的。现在的生产力越来越变态了。

      1.  Level 5
        Google Chrome 95 Google Chrome 95 Windows 10 Windows 10 cn北京市 联通

        那是触发弹出广告了吧,这些网站都是这些广告,二次进入应该就是正常图片页面了,还说和IP有关系,我是挂梯子访问,也可能不弹国外IP?

发表回复

您的电子邮箱地址不会被公开。 必填项已用 * 标注